Bug 221669 - (deluge) Review Request: Deluge - A Python BitTorrent client with support for UPnP and DHT
Review Request: Deluge - A Python BitTorrent client with support for UPnP and...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On: python-libtorrent
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-05 17:46 EST by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-23 21:07:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2007-01-05 17:46:07 EST
Spec URL: http://www.thecodergeek.com/downloads/fedora/deluge.spec
SRPM URL: http://www.thecodergeek.com/downloads/fedora/deluge-0.4.1-1.src.rpm

Description:
Deluge is a new BitTorrent client, created using Python and GTK+. It is
intended to bring a native, full-featured client to Linux GTK+ desktop
environments such as GNOME and Xfce. It supports features such as DHT
(Distributed Hash Tables) and UPnP (Universal Plug-n-Play) that allow one to
more easily share BitTorrent data even from behind a router with virtually no
necessary configuration of the port-forwarding and whatnot.
Comment 1 Peter Gordon 2007-01-05 17:48:12 EST
[ Adding David to the CC list at his request and adding the python-libtorrent
dependency. ]
Comment 2 David Nielsen 2007-01-06 04:02:04 EST
Compiles fine on both FC6 and Development however it doesn't actually work with
any torrents:

GTK Accessibility Module initialized
./deluge.py:62: GtkWarning: gtk_scrolled_window_add(): cannot add non scrollable
widget use gtk_scrolled_window_add_with_viewport() instead
  self.wTree = gtk.glade.XML(self.gladefile)
python-libtorrent, using libtorrent 0.11.0.0. Compiled with NDEBUG value: 1
Capping download to -1 bytes per second
Capping upload to 40960 bytes per second
Loading DHT state from /home/david/.config/deluge/dht.state
No DHT file to resume
opening torrent from URL
ok clicked: http://torrent.fedoraproject.org/torrents/Zod-dvd-x86_64.torrent
filename: /tmp/tmp9M8gRq.torrent
file is a torrent
Critical Error! No such uniqueID (46909632806912, 1)
terminate called after throwing an instance of 'std::out_of_range'
  what():  vector::_M_range_check
Afbrudt (SIGABRT)

definitely and sadly so, not Extras ready - I bugged upstream:
http://deluge-torrent.org/trac/ticket/95
Comment 3 Gerd Classen 2007-01-07 06:47:46 EST
deluge works great for me. AMD64 (x86_64)
It's fundamental to compile python-libtorrent with -DAMD64
In python-libtorrent.cpp are this lines
#ifdef AMD64
#define pythonLong int
#else
#define pythonLong long   <- see -DAMD64
#endif
I used this :
python-libtorrent-0.3.0-3.20061128svn.src.rpm
rb_libtorrent-0.11-2.src.rpm
deluge-0.4.1-1.src.rpm

the python-libtorrent.spec should changed for x86_64

Comment 4 Peter Gordon 2007-01-07 19:38:37 EST
Thanks for your help on getting this worked out, Gerd. I've posted an updated
python-libtorrent spec/SRPM on its review request (bug #221376), and I've bumped
the dependecy thereof in the spec/SRPM for Deluge as well. Update files are on
my webspace: 

Spec: http://thecodergeek.com/downloads/fedora/deluge.spec
SRPM: http://thecodergeek.com/downloads/fedora/deluge-0.4.1-2.src.rpm

Thanks.
Comment 5 Wilmer Jaramillo M. 2007-01-10 17:42:18 EST
i believe that you should avoid the 'find' command, just you should use
'install' command for change file access permissions in 'copy-time' with the
parameters '-p -m755' on all *.py in %{python_sitelib}/%{name}/
Comment 6 Peter Gordon 2007-01-10 22:22:34 EST
Haha. I completely forgot about the install command for a moment. T_T

I've updated the spec with your suggestion, Wilmer (which made it quite a bit
cleaner, actually ^_^).

SPEC: http://thecodergeek.com/downloads/fedora/deluge.spec
SRPM: http://thecodergeek.com/downloads/fedora/deluge-0.4.1-3.src.rpm

Thanks.
Comment 7 Mamoru TASAKA 2007-01-27 02:13:09 EST
Umm..
on FC-devel, this program completely hangs up after printing
the following messages...

----------------------------------------------------------
[tasaka1@localhost i386]$ deluge
GTK Accessibility Module initialized
./deluge.py:62: GtkWarning: gtk_scrolled_window_add(): cannot add non scrollable
widget use gtk_scrolled_window_add_with_viewport() instead
  self.wTree = gtk.glade.XML(self.gladefile)
python-libtorrent, using libtorrent 0.11.0.0. Compiled with NDEBUG value: 1
Capping download to -1 bytes per second
Capping upload to -1 bytes per second
Loading DHT state from /home/tasaka1/.config/deluge/dht.state
No DHT file to resume
--------------------------------------------------------

On FC-5, it does not hang up. Would you know why?
Comment 8 Mamoru TASAKA 2007-01-27 12:58:23 EST
( As python-libtorrent (bug 221376) seems to be accepted soon after
 rb_libtorrent (bug 221372) is completed, I assign this bug to
 myself. )
Comment 9 Peter Gordon 2007-01-27 16:42:28 EST
What do you mean by hanging up? Does it draw the window; but have it
unresponsive to input? Does it simply not function right? I'm using FC-6 (with a
lot of X-related stuff from Rawhide) and have seen no such problem. :(
Comment 10 Mamoru TASAKA 2007-01-27 18:41:41 EST
Well, "hang up" means...

When I launch "deluge"
* the window is drawn, with characters on the window
* the message (in comment 7) is printed out
* but the window does not response to any mouse click anymore...
Comment 11 David Nielsen 2007-01-27 21:30:09 EST
Same thing happens on Development (x86_64)
Comment 12 Mamoru TASAKA 2007-01-28 11:18:49 EST
(By the way, I would appreciate if you would review my
 review request bug 219327)
Comment 13 Mamoru TASAKA 2007-01-30 10:31:06 EST
Umm..

Actually this works well with FC-5 i386, however, still
hangs up on FC-devel i386...
Comment 14 Mamoru TASAKA 2007-02-06 06:59:35 EST
INFORMATION:

When I remove at-spi and gail forcely, deluge works on FC-devel,
too.

Actually it seems that FC-devel gail are causing problems on
several packages. For me, two packages I maintain crash on FC-devel.

So I will restart reviewing on this package, assuming that
deluge freeze is not due to deluge itself. Please wait...
Comment 15 Mamoru TASAKA 2007-02-07 11:15:11 EST
Ah.. X crashed when I was writing the review result...
Well,

* Desktop files
  - Icon does not appear on desktop menu.
------------------------------------------------
Icon=deluge-256.png
------------------------------------------------
    ... should be deluge.png

* Python related dependency
   - notify-python
------------------------------------------------
    33                  try:
    34                          import pynotify
    35                          self.pynotify = pynotify # We must save this,
because as a plugin, our globals will die
------------------------------------------------
     notify-python is available on FC6/devel (not on FC5)
Comment 16 David Nielsen 2007-02-10 02:56:31 EST
I can confirm that if you disable a11y support on Development this works just
peachy except the fact that it really doesn't:

- clicking a torrent in Epiphany correctly offers to open with Deluge but the
torrent is infact not added to the deluge queue.
- It hangs quite frequently, after recovering from such a hang you have to chant
the magic verses and restart a few times or it will add one to the port you told
it to use and thus both spam libnotify messages and also run very slowly because
it doesn't pull over and ask for directions.
- It doesn't obey the GNOME default browser setting (or any platform I suspect),
when testing the port it starts up Firefox (the same is true for Translate this
application, which opens the unfree Launchpad service)
- Setting the bandwidth limitations is without notations (upload 40 what?), also
0 in those should be labelled unlimited.

I'll go bug upstream ever so much. However the frequent hanging makes me wonder
if this is ready to go in, you can hardly turn your back without it hanging and
it doesn't recover gracefully at all.
Comment 17 Mamoru TASAKA 2007-02-10 11:14:05 EST
(In reply to comment #16)
> I can confirm that if you disable a11y support on Development this works just
> peachy except the fact that it really doesn't:
> 
Can you check if the phenomena you are seeing on FC-devel (perhaps
x86_64) also occur on FC-6/5?

I suspect that most of the issues you are seeing is due to
FC-devel gail or something.
Comment 18 Mamoru TASAKA 2007-02-12 07:16:31 EST
Well, kazehakase upstream Ikezoe sent me a patch against
gail 1.10.1 and with the patch deluge doesn't seem to hang
up any longer, so I suspect the problem is due to gail,
not deluge more and more.

So Peter, would you fix the issue I commented on comment 15?
Comment 19 Peter Gordon 2007-02-12 22:23:01 EST
Hello; and sorry for not getting back to this bug earlier. I was swamped with
work and class stuff most of last week.  :(

I've updated the deluge spec and SRPM with your suggestions from comment 15; and
the files are on my webspace.

Spec: http://www.thecodergeek.com/downloads/fedora/SPECs/deluge.spec
SRPM: http://www.thecodergeek.com/downloads/fedora/SRPMs/deluge-0.4.1-4.src.rpm


David: I recently downloaded the entire FC6/x86_64 DVD image overnight via the
torrent using Deluge and received no such trouble. I suspect it is something in
Rawhide eating more babies. The other two issues are things that need to be
resolved upstream, and we'll just need to poke and prod them until they do. :)

Thanks.
Comment 20 Mamoru TASAKA 2007-02-13 07:51:53 EST
Well I will want to check by tomorrow (in Japan: EST +14)...
Comment 21 Mamoru TASAKA 2007-02-14 03:18:20 EST
(In reply to comment #19)
>> Spec: http://www.thecodergeek.com/downloads/fedora/SPECs/deluge.spec
> SRPM: http://www.thecodergeek.com/downloads/fedora/SRPMs/deluge-0.4.1-4.src.rpm

Well, 
* shebang
  - Well, lots of rpmlint complaints like:
----------------------------------------------------
E: deluge non-executable-script
/usr/lib/python2.5/site-packages/deluge/plugins/NetworkHealthMonitor.py 0644
----------------------------------------------------
    Please remove shebang unless the script should have
    executable permissions.

* Requires
  - well, "notify-python" is available on FC6, FC-devel, not on
    FC-5 (nor FE5)
  - And this works without notify-python with some limitation
    So
--------------------------------------------
%if 0%{?fedora} >= 6
Requires: notify-python
%endif
--------------------------------------------
    will be better.
Comment 22 Mamoru TASAKA 2007-02-14 04:03:31 EST
Just a note:
On rawhide gail is updated to 1.17.0, however, still
the patch from Ikezoe is needed...
Comment 23 Mamoru TASAKA 2007-02-21 12:32:04 EST
ping?
Comment 24 Peter Gordon 2007-02-21 21:31:49 EST
(In reply to comment #23)
> ping?

Pong. :]

I've posted updated files on my webspace which take care of the issues you mention.

* Wed Feb 21 2007 Peter Gordon <peter@thecodergeek.com> - 0.4.1-5 
- Make notify-python dependency conditional (FC6+ only)
- Strip the unneeded shebang lines from the plugin scripts, since they are not
  meant to be directly executed.

Spec: http://thecodergeek.com/downloads/fedora/SPECs/deluge.spec
SRPM: http://thecodergeek.com/downloads/fedora/SRPMs/deluge-0.4.1-5.src.rpm

Thanks!
Comment 25 Mamoru TASAKA 2007-02-22 03:36:02 EST
Okay.

One issue:
http://deluge.mynimalistic.net/downloads/deluge-0.4.1.tar.gz
does not work for me.
http://deluge-torrent.org/downloads/deluge-0.4.1.tar.gz works.

One comment:
It seems that 0.5 beta 1 is out. However it is beta version
and as this package can be used for FC6/5, in which branch
stable release should usually used, so I will accept 0.4.1
version.

----------------------------------------------------------
  This package (deluge) is APPROVED by me.
----------------------------------------------------------

Now the process of importing new packages changed, so please
recheck the process from step 8 of
http://fedoraproject.org/wiki/Extras/NewPackageProcess
Comment 26 David Nielsen 2007-02-22 05:05:21 EST
I talked at lenght with the developer on the hang, he can't reproduce it on his
Ubuntu machine with the 5.0 codebase - so it seems that bug might go away once
5.0 is released and packaged.
Comment 27 Mamoru TASAKA 2007-02-22 05:11:48 EST
(In reply to comment #26)
> I talked at lenght with the developer on the hang, he can't reproduce it on his
> Ubuntu machine with the 5.0 codebase - so it seems that bug might go away once
> 5.0 is released and packaged.

It is due to what version of gail the developer uses...

0.4.1 hangs up with gail-1.17.0, however with gail 1.17.0 with a patch
from Kazehakase developer applied deluge does not hang up.
I have not checked 5.0beta version yet, if I have some time I will
want to try it. Anyway this package is approved.
Comment 28 Peter Gordon 2007-02-22 11:58:09 EST
Thanks for your review and comments!

I'll fix the Source URL and import this when I get home from classes tonight.
Since I'm planning a Rawhide upgrade anyway, I'll play around with the 0.5 beta
over the coming weekend, as well.
Comment 29 Peter Gordon 2007-02-22 20:41:54 EST
New Package CVS Request
=======================
Package Name: deluge
Short Description: A Python BitTorrent client with support for UPnP and DHT
Owners: peter@thecodergeek.com
Branches: FC-5, FC-6, and devel
InitialCC: None
Comment 30 Dennis Gilmore 2007-02-23 07:50:43 EST
branched
Comment 31 Peter Gordon 2007-02-23 21:07:11 EST
Thanks, Dennis and all!

Imported and built - so closing as NEXTRELEASE.

Comment 32 Mamoru TASAKA 2007-02-25 08:39:43 EST
deluge-0.4.90.2-1.fc7 seems no problem agaist
fedora rawhide gail-1.17.0-1.fc7.
Comment 33 Peter Gordon 2007-02-25 13:14:04 EST
(In reply to comment #32)
> deluge-0.4.90.2-1.fc7 seems no problem agaist
> fedora rawhide gail-1.17.0-1.fc7.

Great news! Thanks for testing it.
Comment 34 David Nielsen 2007-02-25 13:32:00 EST
I hate to say it but 0.4.90.2 fails for me, it starts up just fine but you can't
add torrents also the configuration from the older version isn't transitioned so
you could imagine this happening:

User opens Deluge 0.4.1
adds a bunch of stuff
user then upgrades to 0.5b2 (for whatever reason, say Peter pushes an update or
he upgrades to F7)
User restarts deluge and voila all his torrents are gone, his configuration is
screwed, he now hates Peter, Fedora and life.

We would probably rather avoid that.

Also when I built the rpm for 0.5b2 I got an x86_64 binary not a noarch like
with 0.4.1 - any reason for the change?
Comment 35 Peter Gordon 2007-02-25 14:36:03 EST
(In reply to comment #34)
> We would probably rather avoid that.

Unfortunately, it seems to function mostly normally, but not show the torrents
in the list. I'm trying to debug that now.


> Also when I built the rpm for 0.5b2 I got an x86_64 binary not a noarch like
> with 0.4.1 - any reason for the change?

Yes. With 0.4.1, the bindings to rb_libtorrent were in a separate package.
However, with the 0.5 betas, they are integrated into Deluge as a core python
module.
Comment 36 Peter Gordon 2007-10-16 20:49:42 EDT
Please branch for F-8. Thanks. :)
Comment 37 Kevin Fenzi 2007-10-17 12:34:16 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.